Bug 86346

Summary: [chromium] Remove ImageDecoderCG.cpp from platform/image-decoders
Product: WebKit Reporter: noel gordon <noel.gordon>
Component: New BugsAssignee: noel gordon <noel.gordon>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, pkasting, tpayne, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 80400    
Attachments:
Description Flags
Patch
none
Patch none

Description noel gordon 2012-05-14 02:18:45 PDT
[chromium] Remove ImageDecoderCG.cpp from platform/image-decoders
Comment 1 noel gordon 2012-05-14 02:20:54 PDT
Created attachment 141669 [details]
Patch
Comment 2 noel gordon 2012-05-14 21:17:39 PDT
Well nothing exploded :)  Perhaps I should also remove the ImageSource changes, thoughts?

http://trac.webkit.org/changeset/70846/trunk/WebCore/platform/graphics/ImageSource.h
Comment 3 noel gordon 2012-05-15 02:11:32 PDT
Suppose I could just try removing ImageSource changes ...
Comment 4 noel gordon 2012-05-15 02:12:29 PDT
Created attachment 141896 [details]
Patch
Comment 5 Peter Kasting 2012-05-15 11:14:53 PDT
Not a reviewer, but LGTM
Comment 6 Adam Barth 2012-05-15 11:20:01 PDT
Thanks Noel!
Comment 7 noel gordon 2012-05-15 16:08:12 PDT
This code served us well Adam, thanks for writing it. @zoltan, this change will bump your work on bug 80400, may I continue?
Comment 8 Zoltan Horvath 2012-05-16 10:03:09 PDT
Thanks for your notice Noel!

It does not affect too much on my actual patch, so let's check it in. I'll update my (bug #80400) patch later, since I have to find a solution for jpeglib/pnglib qt-mac dependency.
Comment 9 noel gordon 2012-05-16 14:51:44 PDT
Ok Zoltan thank you, I'll go ahead and submit.
Comment 10 WebKit Review Bot 2012-05-16 15:36:54 PDT
Comment on attachment 141896 [details]
Patch

Clearing flags on attachment: 141896

Committed r117355: <http://trac.webkit.org/changeset/117355>
Comment 11 WebKit Review Bot 2012-05-16 15:36:59 PDT
All reviewed patches have been landed.  Closing bug.